Skip to main content
POST
/
api
/
v2
/
createReseller
Create a new reseller
curl --request POST \
  --url 'https://api.vida.dev/api/v2/createReseller?token=' \
  --header 'Content-Type: application/json' \
  --data '
{
  "resellerName": "Acme Solar",
  "email": "admin@acmesolar.com",
  "offeredProductPlanId": "custom-plan-1",
  "productPlanId": "base-plan-1",
  "hipaaEnabledDefault": false,
  "resellerStatus": "enabled"
}
'
{
  "success": true,
  "message": "Reseller created",
  "organization": "New Reseller object"
}

Documentation Index

Fetch the complete documentation index at: https://vida.io/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

token
string
query
required

Vida API Token

Query Parameters

targetPartnerId
string
required

Partner Id to create reseller in

Body

application/json
resellerName
string
required

Reseller Name

Example:

"Acme Solar"

email
string

Admin user email for this account

Example:

"admin@acmesolar.com"

offeredProductPlanId
string

Offered Product Plan. Requires the Reseller to accept and checkout.

Example:

"custom-plan-1"

productPlanId
string

Product Plan to set on the account. Otherwise default sell plan is used

Example:

"base-plan-1"

hipaaEnabledDefault
boolean

Default HipaaEnabled settings for organizations under the reseller

Example:

false

resellerStatus
enum<string>

Reseller status. Defaults to enabled.

Available options:
enabled,
disabled
Example:

"enabled"

Response

OK